## ros-catkin-lint 1.6.6

=== requirements.txt ===
catkin_pkg
lxml
rosdep
rosdistro

## ros-catkin-lint 1.6.0

=== debian/changelog ===
ros-catkin-lint (1.6.0-1) unstable; urgency=medium

  * [db16f2e] New upstream version 1.6.0

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 25 Feb 2019 13:01:59 +0100

ros-catkin-lint (1.5.6-1) unstable; urgency=medium

  * [1fb14bd] New upstream version 1.5.6
  * [e338b04] Add upstream metadata
  * [26cbb35] Bump Standards Version.
    No changes to the packaging required.

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Tue, 12 Feb 2019 14:12:55 +0100

ros-catkin-lint (1.5.5-1) unstable; urgency=medium

  * [8ac4f1f] Check for PGP release signature
  * [dc6f484] New upstream version 1.5.5

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Wed, 28 Nov 2018 13:05:30 +0100

ros-catkin-lint (1.5.3-1) unstable; urgency=medium

  * Initial release for Debian. (Closes: #907144)
  * Python 2 version released for upstream compatibility.

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Thu, 30 Aug 2018 11:22:22 +0200

=== debian/control ===
Source: ros-catkin-lint
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Timo Röhling <timo.roehling@fkie.fraunhofer.de>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper (>= 11), dh-python, help2man,
               python-all, python3-all,
               python-nose, python-mock, python3-nose, python3-mock,
               python-setuptools, python3-setuptools,
               python-catkin-pkg, python-rosdistro, python-rospkg, python-rosdep2,
               python3-catkin-pkg, python3-rosdistro, python3-rospkg, python3-rosdep2
Homepage: https://github.com/fkie/catkin_lint
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-lint.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-lint
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.3.0
Rules-Requires-Root: no

Package: python-catkin-lint
Architecture: all
Multi-Arch: foreign
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-rospkg, python-rosdep2, python-rosdistro
Provides: ${python:Provides}
Conflicts: python3-catkin-lint
Description: Check Robot OS catkin packages for common errors
 This package is part of Robot OS (ROS). catkin_lint checks package
 configurations for the catkin build system of ROS. It runs a static analysis
 of the package.xml and CMakeLists.txt files in your package, and it will
 detect and report a number of common problems.
 .
 This package provides the Python 2 version of catkin_lint.

Package: python3-catkin-lint
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-rospkg, python3-rosdep2, python3-rosdistro
Conflicts: python-catkin-lint
Description: Check Robot OS catkin packages for common errors (Python 3)
 This package is part of Robot OS (ROS). catkin_lint checks package
 configurations for the catkin build system of ROS. It runs a static analysis
 of the package.xml and CMakeLists.txt files in your package, and it will
 detect and report a number of common problems.
 .
 This package provides the Python 3 version of catkin_lint.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

actual_version:=$(shell PYTHONPATH=src python -c "from catkin_lint import __version__; print __version__")
debianized_version:=$(subst a,~a,$(subst b,~b,$(actual_version)))

ifneq ($(DEB_VERSION_UPSTREAM),$(debianized_version))
$(error Package version $(DEB_VERSION_UPSTREAM) does not match actual version $(debianized_version))
endif

export PYBUILD_NAME=catkin-lint

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installman: debian/catkin_lint.1
	dh_installman -O--buildsystem=pybuild

debian/catkin_lint.1: src/catkin_lint/__init__.py
	PYTHONPATH=src python -m catkin_lint --help | help2man -N -n "check catkin packages for common errors" --version-string="$(actual_version)" -h- cat | sed -e 's/\<cat\>\|\<__main__\.py\>/catkin_lint/g' > $@

## ros-catkin-lint 1.6.1

=== debian/changelog ===
ros-catkin-lint (1.6.1-1) unstable; urgency=medium

  * [9250609] Remove Python 2 from build
  * [2b2a644] Update debian compat
  * [6905a47] New upstream version 1.6.1

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 02 Sep 2019 14:16:17 +0200

=== debian/control ===
Source: ros-catkin-lint
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Timo Röhling <timo.roehling@fkie.fraunhofer.de>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, help2man,
               python3-all,
               python3-nose, python3-mock,
               python3-setuptools,
               python3-catkin-pkg, python3-rosdistro, python3-rospkg, python3-rosdep2
Homepage: https://github.com/fkie/catkin_lint
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-lint.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-lint
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.4.0
Rules-Requires-Root: no

Package: python3-catkin-lint
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-rospkg, python3-rosdep2, python3-rosdistro
Conflicts: python-catkin-lint
Description: Check Robot OS catkin packages for common errors (Python 3)
 This package is part of Robot OS (ROS). catkin_lint checks package
 configurations for the catkin build system of ROS. It runs a static analysis
 of the package.xml and CMakeLists.txt files in your package, and it will
 detect and report a number of common problems.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-actual_version:=$(shell PYTHONPATH=src python -c "from catkin_lint import __version__; print __version__")
+actual_version:=$(shell PYTHONPATH=src python3 -c "from catkin_lint import __version__; print(__version__)")
 debianized_version:=$(subst a,~a,$(subst b,~b,$(actual_version)))
 
 ifneq ($(DEB_VERSION_UPSTREAM),$(debianized_version))
@@ -20,10 +20,10 @@
 export PYBUILD_NAME=catkin-lint
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installman: debian/catkin_lint.1
 	dh_installman -O--buildsystem=pybuild
 
 debian/catkin_lint.1: src/catkin_lint/__init__.py
-	PYTHONPATH=src python -m catkin_lint --help | help2man -N -n "check catkin packages for common errors" --version-string="$(actual_version)" -h- cat | sed -e 's/\<cat\>\|\<__main__\.py\>/catkin_lint/g' > $@
+	PYTHONPATH=src python3 -m catkin_lint --help | help2man -N -n "check catkin packages for common errors" --version-string="$(actual_version)" -h- cat | sed -e 's/\<cat\>\|\<__main__\.py\>/catkin_lint/g' > $@

## ros-catkin-lint 1.6.6

=== debian/changelog ===
ros-catkin-lint (1.6.6-1) unstable; urgency=medium

  * [8c70983] New upstream version 1.6.6
  * [44e7978] Mark transitional package as Multi-Arch: foreign
  * [cef767a] Bump standards version to 4.5.0
  * [79bc2d9] Fix header line in auto-generated man page
  * [ab7d9b1] Remove obsolete patch

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 10 Feb 2020 14:09:22 +0100

ros-catkin-lint (1.6.5-2) unstable; urgency=medium

  * Source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Jan 2020 09:04:27 +0100

ros-catkin-lint (1.6.5-1) unstable; urgency=medium

  * [68e407b] New upstream version 1.6.5
  * [622e6a3] Transition from library package
    catkin_lint is primarily a executable, so it should not be named like a
    library.
  * [4367b9c] Move to devel section
  * Move back to unstable; the unit test issue has been resolved.

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Fri, 17 Jan 2020 14:53:26 +0100

ros-catkin-lint (1.6.4-3) experimental; urgency=medium

  * [886703d] Override failing OS detection code in rospkg

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 16 Dec 2019 13:19:56 +0100

ros-catkin-lint (1.6.4-2) experimental; urgency=medium

  * [6eb876e] Make test output more verbose to track build failure in buildd

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 16 Dec 2019 10:58:40 +0100

ros-catkin-lint (1.6.4-1) unstable; urgency=medium

  * [895c820] New upstream version 1.6.4

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Wed, 11 Dec 2019 17:46:25 +0100

ros-catkin-lint (1.6.3-1) unstable; urgency=medium

  * [93c13f7] New upstream version 1.6.3 (Closes: #945227)

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 25 Nov 2019 15:49:20 +0100

ros-catkin-lint (1.6.2-1) unstable; urgency=medium

  * [9278d57] Bump policy version.
    No changes required
  * [a031949] New upstream version 1.6.2

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Wed, 30 Oct 2019 14:10:03 +0100

=== debian/control ===
Source: ros-catkin-lint
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Timo Röhling <timo.roehling@fkie.fraunhofer.de>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, help2man,
               python3-all,
               python3-nose, python3-mock,
               python3-setuptools,
               python3-catkin-pkg, python3-rosdistro, python3-rospkg, python3-rosdep2,
               python3-lxml
Homepage: https://github.com/fkie/catkin_lint
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-lint.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-lint
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: python3-catkin-lint
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: catkin-lint, ${misc:Depends}
Description: Check Robot OS catkin packages for common errors (transitional package)
 This is a transitional package to ease upgrades to catkin-lint.
 It can be safely removed.

Package: catkin-lint
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-rospkg, python3-rosdep2, python3-rosdistro
Breaks: python3-catkin-lint (<< 1.6.5)
Replaces: python3-catkin-lint (<< 1.6.5)
Provides: python3-catkin-lint
Description: Check Robot OS catkin packages for common errors
 This package is part of Robot OS (ROS). catkin_lint checks package
 configurations for the catkin build system of ROS. It runs a static analysis
 of the package.xml and CMakeLists.txt files in your package, and it will
 detect and report a number of common problems.

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,18 @@
 endif
 
 export PYBUILD_NAME=catkin-lint
+export PYBUILD_DESTDIR = debian/catkin-lint
+export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/catkin-lint
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_install:
+	dh_auto_install -O--buildsystem=pybuild
+	mv debian/catkin-lint/usr/bin/catkin_lint debian/catkin-lint/usr/share/catkin-lint/run
 
 override_dh_installman: debian/catkin_lint.1
 	dh_installman -O--buildsystem=pybuild
 
 debian/catkin_lint.1: src/catkin_lint/__init__.py
-	PYTHONPATH=src python3 -m catkin_lint --help | help2man -N -n "check catkin packages for common errors" --version-string="$(actual_version)" -h- cat | sed -e 's/\<cat\>\|\<__main__\.py\>/catkin_lint/g' > $@
+	PYTHONPATH=src python3 -m catkin_lint --help | help2man -N -n "check catkin packages for common errors" --version-string="$(actual_version)" -h- cat | sed -e 's/\<cat\>\|\<__main__\.py\>/catkin_lint/g' -e 's/\<CAT\>/CATKIN_LINT/g' > $@

=== debian/tests/control ===
Test-Command: catkin_lint --version
Restrictions: allow-stderr
Depends: catkin-lint

## ros-catkin-lint 1.6.10

=== debian/changelog ===
ros-catkin-lint (1.6.10-1) unstable; urgency=medium

  * [b16ea74] Add second signing key
  * [bb2dfad] New upstream version 1.6.10
  * [0f3adc0] Use upstream manual page

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Fri, 26 Jun 2020 22:41:54 +0200

ros-catkin-lint (1.6.9-1) unstable; urgency=medium

  * [9d9a7e7] New upstream version 1.6.9
  * [7e54b6d] Bump to debhelper compat 13
  * [9ab4eaa] Run full test suite from autopkgtest
  * [c6307b6] Use dh-sequence-python3 instead of dh-python

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Tue, 16 Jun 2020 23:11:01 +0200

ros-catkin-lint (1.6.8-1) unstable; urgency=medium

  * [aa122d7] New upstream version 1.6.8

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 13 Apr 2020 11:15:06 +0200

ros-catkin-lint (1.6.7-1) unstable; urgency=medium

  * [4924baa] New upstream version 1.6.7

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Fri, 27 Mar 2020 12:23:20 +0100

=== debian/control ===
Source: ros-catkin-lint
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Timo Röhling <timo.roehling@fkie.fraunhofer.de>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, help2man,
               python3-all,
               python3-nose, python3-mock,
               python3-setuptools,
               python3-catkin-pkg, python3-rosdistro, python3-rospkg, python3-rosdep2,
               python3-lxml,
               perl
Homepage: https://github.com/fkie/catkin_lint
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-lint.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-lint
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: catkin-lint
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-rospkg, python3-rosdep2, python3-rosdistro
Breaks: python3-catkin-lint (<< 1.6.5)
Replaces: python3-catkin-lint (<< 1.6.5)
Provides: python3-catkin-lint
Description: Check Robot OS catkin packages for common errors
 This package is part of Robot OS (ROS). catkin_lint checks package
 configurations for the catkin build system of ROS. It runs a static analysis
 of the package.xml and CMakeLists.txt files in your package, and it will
 detect and report a number of common problems.

Package: python3-catkin-lint
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: catkin-lint, ${misc:Depends}
Description: Check Robot OS catkin packages for common errors (transitional package)
 This is a transitional package to ease upgrades to catkin-lint.
 It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/catkin-lint
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=pybuild
@@ -31,5 +31,5 @@
 override_dh_installman: debian/catkin_lint.1
 	dh_installman -O--buildsystem=pybuild
 
-debian/catkin_lint.1: src/catkin_lint/__init__.py
-	PYTHONPATH=src python3 -m catkin_lint --help | help2man -N -n "check catkin packages for common errors" --version-string="$(actual_version)" -h- cat | sed -e 's/\<cat\>\|\<__main__\.py\>/catkin_lint/g' -e 's/\<CAT\>/CATKIN_LINT/g' > $@
+debian/catkin_lint.1: catkin_lint.pod
+	pod2man --release="$(actual_version)" --center="Robot OS" catkin_lint.pod > debian/catkin_lint.1

=== debian/tests/control ===
Tests: run-binary run-unit-tests
Depends: catkin-lint, python3-nose, python3-mock
Restrictions: allow-stderr

## ros-catkin-lint 1.6.12

=== requirements.txt ===
catkin_pkg
lxml
rosdep
rosdistro
configparser<5;python_version<"3"

=== debian/changelog ===
ros-catkin-lint (1.6.12-1) unstable; urgency=medium

  * [6db1ba1] New upstream version 1.6.12

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 12 Jan 2021 18:03:42 +0100

ros-catkin-lint (1.6.11-1) unstable; urgency=medium

  * [4f7d6ca] New upstream version 1.6.11
  * [0ff027f] Clean up d/rules
  * [6393979] Update maintainer email address
  * [5a993f6] Mark superficial autopkgtest as such

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 12 Nov 2020 22:19:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Timo Röhling <timo.roehling@fkie.fraunhofer.de>, Jochen Sprickerhof <jspricke@debian.org>
+Uploaders: Timo Röhling <timo@gaussglocke.de>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, help2man,
                python3-all,
                python3-nose, python3-mock,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/catkin-lint-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1.tar.gz.asc/ \
     https://github.com/fkie/catkin_lint/releases .*/?(\d+\.\d+\.\d+)\.tar\.gz

## ros-catkin-lint 1.6.16

=== debian/changelog ===
ros-catkin-lint (1.6.16-1) unstable; urgency=medium

  * [c11fa77] New upstream version 1.6.16

 -- Timo Röhling <roehling@debian.org>  Mon, 10 Jan 2022 14:53:33 +0100

ros-catkin-lint (1.6.15-2) unstable; urgency=medium

  * [ec121e6] Switch to nose2 for unit tests
  * [919c6c7] Bump Standards-Version to 4.6.0
  * [ae9c6ca] Add Debian Robotics Team to uploaders

 -- Timo Röhling <roehling@debian.org>  Thu, 11 Nov 2021 14:00:05 +0100

ros-catkin-lint (1.6.15-1) unstable; urgency=medium

  * [7e9bf42] Fix d/watch to deal with changed Github URLs
  * [854f419] New upstream version 1.6.15
  * [6ab76f8] Bump Standards-Version to 4.5.1
  * [e8614bd] Update my email address in the Uploaders field
  * [c572bd7] Remove transitional python3-catkin-lint package

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Aug 2021 17:13:49 +0200

=== debian/control ===
Source: ros-catkin-lint
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>, Jochen Sprickerhof <jspricke@debian.org>,
           Debian Robotics Team <team+robotics@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, help2man,
               python3-all,
               python3-nose2, python3-mock,
               python3-setuptools,
               python3-catkin-pkg, python3-rosdistro, python3-rospkg, python3-rosdep2,
               python3-lxml,
               perl
Homepage: https://github.com/fkie/catkin_lint
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-lint.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-lint
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: catkin-lint
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-rospkg, python3-rosdep2, python3-rosdistro
Description: Check Robot OS catkin packages for common errors
 This package is part of Robot OS (ROS). catkin_lint checks package
 configurations for the catkin build system of ROS. It runs a static analysis
 of the package.xml and CMakeLists.txt files in your package, and it will
 detect and report a number of common problems.

=== debian/rules ===
--- 
+++ 
@@ -24,12 +24,11 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install -O--buildsystem=pybuild
+execute_after_dh_auto_install:
 	mv debian/catkin-lint/usr/bin/catkin_lint debian/catkin-lint/usr/share/catkin-lint/run
 
-override_dh_installman: debian/catkin_lint.1
-	dh_installman -O--buildsystem=pybuild
+execute_before_dh_installman: debian/catkin_lint.1
+	true
 
 debian/catkin_lint.1: catkin_lint.pod
 	pod2man --release="$(actual_version)" --center="Robot OS" catkin_lint.pod > debian/catkin_lint.1

=== debian/tests/control ===
Tests: run-binary
Depends: catkin-lint, python3-nose, python3-mock
Restrictions: superficial allow-stderr

Tests: run-unit-tests
Depends: catkin-lint, python3-nose, python3-mock
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s!.+/(\d\S+)\.tar\.gz!catkin-lint-$1\.tar\.gz!,\
pgpsigurlmangle=s!archive.+/(\d\S+)\.tar\.gz!releases/download/$1/$1.tar.gz.asc! \
     https://github.com/fkie/catkin_lint/releases .*/?(\d+\.\d+\.\d+)\.tar\.gz

## ros-catkin-lint 1.6.18

=== debian/changelog ===
ros-catkin-lint (1.6.18-2) unstable; urgency=medium

  * [1627ed6] Migrate autopkgtest to nose2

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Aug 2022 14:45:34 +0200

ros-catkin-lint (1.6.18-1) unstable; urgency=medium

  * [ea2494a] New upstream version 1.6.18
  * [5a59bda] Properly clean after build
  * [f21d982] Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Wed, 03 Aug 2022 13:41:48 +0200

ros-catkin-lint (1.6.17-2) unstable; urgency=medium

  * [95fa1ea] Append /usr/share to ROS_PACKAGE_PATH

 -- Timo Röhling <roehling@debian.org>  Mon, 16 May 2022 23:12:05 +0200

ros-catkin-lint (1.6.17-1) unstable; urgency=medium

  * [ef640da] New upstream version 1.6.17

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Mar 2022 22:27:09 +0100

=== debian/control ===
Source: ros-catkin-lint
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
 Jochen Sprickerhof <jspricke@debian.org>,
 Debian Robotics Team <team+robotics@tracker.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 perl,
 python3-all,
 python3-catkin-pkg,
 python3-lxml,
 python3-mock,
 python3-nose2,
 python3-rosdep2,
 python3-rosdistro,
 python3-rospkg,
 python3-setuptools,
 python3-setuptools-scm,
Homepage: https://github.com/fkie/catkin_lint
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-lint.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-lint
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: catkin-lint
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-rospkg, python3-rosdep2, python3-rosdistro
Description: Check Robot OS catkin packages for common errors
 This package is part of Robot OS (ROS). catkin_lint checks package
 configurations for the catkin build system of ROS. It runs a static analysis
 of the package.xml and CMakeLists.txt files in your package, and it will
 detect and report a number of common problems.

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,11 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-actual_version:=$(shell PYTHONPATH=src python3 -c "from catkin_lint import __version__; print(__version__)")
-debianized_version:=$(subst a,~a,$(subst b,~b,$(actual_version)))
-
-ifneq ($(DEB_VERSION_UPSTREAM),$(debianized_version))
-$(error Package version $(DEB_VERSION_UPSTREAM) does not match actual version $(debianized_version))
-endif
-
-export PYBUILD_NAME=catkin-lint
+export PYBUILD_NAME = catkin-lint
 export PYBUILD_DESTDIR = debian/catkin-lint
 export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/catkin-lint
+
+export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -31,4 +26,4 @@
 	true
 
 debian/catkin_lint.1: catkin_lint.pod
-	pod2man --release="$(actual_version)" --center="Robot OS" catkin_lint.pod > debian/catkin_lint.1
+	pod2man --release="$(DEB_VERSION_UPSTREAM)" --center="Robot OS" catkin_lint.pod > debian/catkin_lint.1

=== debian/tests/control ===
Tests: run-binary
Depends: catkin-lint
Restrictions: superficial allow-stderr

Tests: run-unit-tests
Depends: catkin-lint, python3-nose2, python3-mock
Restrictions: allow-stderr

## ros-catkin-lint 1.6.22

=== debian/changelog ===
ros-catkin-lint (1.6.22-1) unstable; urgency=medium

  * [93b0205] New upstream version 1.6.22
  * [4157e06] Refresh patches
    - Drop 0003-Ignore-failure-to-fetch-manifest-in-build-check.patch
      (merged upstream)
  * [ce84be0] Drop B-D on python3-tomli

 -- Timo Röhling <roehling@debian.org>  Tue, 31 Jan 2023 23:36:59 +0100

ros-catkin-lint (1.6.21-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * [f76bc0d] Drop unused build dependency

  [ Timo Röhling ]
  * [cbf23ca] New upstream version 1.6.21
  * [49c879b] Use autopkgtest-pkg-pybuild
  * [e1c1528] Bump Standards-Version to 4.6.2
  * [d94e07f] Depend on python3-tomli on behalf of python3-setuptools-scm

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Jan 2023 23:35:27 +0100

ros-catkin-lint (1.6.20-1) unstable; urgency=medium

  * [34580ca] New upstream version 1.6.20

 -- Timo Röhling <roehling@debian.org>  Fri, 25 Nov 2022 09:55:26 +0100

ros-catkin-lint (1.6.19-2) unstable; urgency=medium

  * [2713dd2] Handle Debian-specific ROS 1/ROS 2 hybrid packages

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Oct 2022 19:00:27 +0200

ros-catkin-lint (1.6.19-1) unstable; urgency=medium

  * [216fce0] Fix d/watch
  * [0c7bdff] New upstream version 1.6.19

 -- Timo Röhling <roehling@debian.org>  Wed, 28 Sep 2022 16:46:14 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  Debian Robotics Team <team+robotics@tracker.debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python (>= 5.20221230),
  dh-sequence-python3,
  perl,
  python3-all,
  python3-catkin-pkg,
  python3-lxml,
- python3-mock,
  python3-nose2,
  python3-rosdep2,
  python3-rosdistro,
@@ -23,7 +23,8 @@
 Homepage: https://github.com/fkie/catkin_lint
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-lint.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-lint
-Standards-Version: 4.6.1
+Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: catkin-lint

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 
 export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)
 
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+export PYTHONPATH = /usr/share/catkin-lint
+endif
+
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
 https://api.github.com/repos/fkie/catkin_lint/releases \
 tarball/(?:[^"]*?/)?@ANY_VERSION@

## ros-catkin-lint 1.6.25

=== requirements.txt ===
catkin_pkg
lxml
rosdep
rosdistro
setuptools_scm
configparser<5;python_version<"3"

=== debian/changelog ===
ros-catkin-lint (1.6.25-1) unstable; urgency=medium

  * [358780c] New upstream version 1.6.25

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 20:36:48 +0200

ros-catkin-lint (1.6.24-1) unstable; urgency=medium

  * [8be72cb] New upstream version 1.6.24

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 18:42:21 +0200

ros-catkin-lint (1.6.23-1) unstable; urgency=medium

  * [fbdde26] New upstream version 1.6.23
    - Fix FTBFS with Python 3.13 (Closes: #1082306)
  * [52d07ba] Mark ROS 1/ROS 2 hybrid package patch as Forwarded: not-needed
  * [9ff8641] Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Fri, 20 Sep 2024 13:47:58 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-lint.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-lint
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: catkin-lint

=== debian/tests/control ===
Tests: run-binary
Depends: catkin-lint
Restrictions: superficial allow-stderr
